import { ViewChild } from "@angular/core";
export declare class BotHelperDirective {
    viewChild: ViewChild;
    userId: string;
    /**
    * renderWebChat overloaded method(+3) to initiate renderWebChat object for bot construction
    * 2 - 6 parameters allow for a self constructed renderWebChat objects to a
    * 2 parameter self contained object will full access to the WebChat api
    * @viewChild is the only required parameter i
    * If not providing a @renderObject provide null in its place to skip over
    */
    renderWebChat(viewChild: any, renderObject: any, directLine: any, userId: any, styleOptionsPayload: any, styleSet: any): any;
    renderWebChat(viewChild: any, renderObject: {}, directLine: any, userId: any, styleOptionsPayload: any): any;
    renderWebChat(viewChild: any, renderObject: {}, directLine: any, userId: string): any;
    renderWebChat(viewChild: any, renderObject: {}): any;
}
