import { IPayload } from '../interfaces/bot-payload';
import { DEFAULT_OPTIONS } from '../interfaces/default-options';
export declare class ComService {
    private secretDirectlineToken;
    private styleSetPayload;
    private styleOptionsPayload;
    botPayload$: import("rxjs").Observable<IPayload>;
    styleSet$: import("rxjs").Observable<DEFAULT_OPTIONS>;
    styleOptions$: import("rxjs").Observable<DEFAULT_OPTIONS>;
    obtainToken(payload: IPayload): void;
    obtainStylePayload(styleoptionsPayload?: DEFAULT_OPTIONS, stylesetPayload?: DEFAULT_OPTIONS): void;
}
